package io.chaoge.shareview;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.uimanager.events.Event;
import com.facebook.react.uimanager.events.RCTEventEmitter;

/**
 * Created by jwt on 2017/6/21.
 */
public class SharePreparedEvent extends Event<SharePreparedEvent> {
    private static final String EVENT_NAME = "topSharePrepared";

    private String mPath;
    private String error;
    @Override
    public String getEventName() {
        return EVENT_NAME;
    }
    public SharePreparedEvent(int viewId, String filepath,String err) {
        super(viewId);
        mPath = filepath;
        error=err;
    }

    @Override
    public void dispatch(RCTEventEmitter rctEventEmitter) {
        rctEventEmitter.receiveEvent(getViewTag(), getEventName(), serializeEventData());

    }
    private WritableMap serializeEventData() {
        WritableMap eventData = Arguments.createMap();
        eventData.putString("path", mPath);
        eventData.putString("errmsg", error);
        eventData.putInt("target", getViewTag());
        return eventData;
    }
}
